name: kryptonia
description: A Crypto Project.
publish_to: "none"

version: 1.0.0+3

environment:
  sdk: ">=2.12.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.3
  google_fonts: ^4.0.3
  flutter_icons_nullsafty: ^1.0.0
  http: ^0.13.3
  cached_network_image: ^3.1.0
  encrypt: ^5.0.1
  flutter_svg: ^2.0.1
  qr_flutter: ^4.0.0
  clipboard: ^0.1.3
  share: ^2.0.4

  fluro: ^2.0.3
  url_launcher: ^6.0.10
  image_picker: ^0.8.4
  introduction_screen: ^3.1.6
  pin_code_fields: ^7.3.0
  otp: ^3.0.1
  provider: ^6.0.0
  hive: ^2.0.4
  hive_flutter: ^1.1.0
  flutter_secure_storage: ^8.0.0
  local_auth: ^2.1.3
  permission_handler: ^10.2.0
  fl_chart: ^0.60.0
  carousel_slider: ^4.0.0
  web3dart: ^2.3.1
  device_info_plus: ^8.1.0
  package_info_plus: ^1.3.0
  intl: ^0.17.0
  timeago: ^3.1.0
  razorpay_flutter: ^1.2.7
  # flutter_paystack: ^1.0.5+1
  flutter_braintree: ^3.0.0
  loading_overlay: ^0.3.0
  lazy_load_scrollview: ^1.3.0
  shimmer: ^2.0.0
  in_app_review: ^2.0.3
  image_cropper: ^3.0.1
  ntp: ^2.0.0
  uuid: ^3.0.4
  cron: ^0.5.1
  dotted_border: ^2.0.0+1
  translator: ^0.1.7

  firebase_core: ^2.5.0

  firebase_messaging: ^14.2.2
  firebase_analytics: ^10.1.1

  easy_localization_loader: ^1.0.0


  # sentry_flutter: ^6.0.1
  twilio_phone_verify: ^2.0.0
  flutter_local_notifications: ^13.0.0
  flutter_dotenv: ^5.0.2



  modal_bottom_sheet: ^3.0.0-pre
  country_code_picker_mp: ^1.0.3

  qr_code_scanner: 
    git:
      url: https://github.com/X-SLAYER/qr_code_scanner.git
      ref: flutter-beta

  flutter_paystack:
    git:
      url: https://github.com/definitelyme/flutter_paystack.git
      ref: a4a33c3dd0a12f46d655a2e63d11e9f20ba82d01


  flutter_localizations:
    sdk: flutter

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_launcher_icons: ^0.11.0
flutter_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icon/logo_bg.png"



flutter:
  generate: true
  uses-material-design: true
  assets:
    - assets/images/
    - assets/icon/
    - assets/svg/
    - assets/abis/
    - assets/translations/ar.json
    - assets/translations/de.json
    - assets/translations/en.json
    - assets/translations/es.json
    - assets/translations/fr.json
    - assets/translations/hi.json
    - assets/translations/id.json
    - assets/translations/ja.json
    - assets/translations/ko.json
    - assets/translations/nl.json
    - assets/translations/pt.json
    - assets/translations/ru.json
    - assets/translations/zh.json
    - .env

